import { HttpBackend } from '@angular/common/http';
import { Observable } from 'rxjs';
import { LogPosition } from './types/log-position';
export declare class NGXMapperService {
    private httpBackend;
    private sourceMapCache;
    private logPositionCache;
    constructor(httpBackend: HttpBackend);
    private static getStackLine;
    private static getPosition;
    private static getTranspileLocation;
    private static getMapFilePath;
    private static getMapping;
    /**
     * does the http get request to get the source map
     * @param sourceMapLocation
     * @param distPosition
     */
    private _getSourceMap;
    /**
     * Returns the LogPosition for the current log
     * If sourceMaps are enabled, it attemps to get the source map from the server, and use that to parse the file name
     * and number of the call
     * @param sourceMapsEnabled
     * @param proxiedSteps
     */
    getCallerDetails(sourceMapsEnabled: boolean, proxiedSteps: number): Observable<LogPosition>;
}
//# sourceMappingURL=mapper.service.d.ts.map